import { ARecord, ARecordProps } from "aws-cdk-lib/aws-route53";
import { Construct } from "constructs";
/**
 * Properties for WeightedARecord.
 */
export interface WeightedARecordProps extends ARecordProps {
    /**
     * Weight for the record
     *
     * @default 0
     */
    weight?: number;
    /**
     * The identifier to use for the record.
     *
     * @default Stack.of(this).region
     */
    readonly setIdentifier?: string;
}
/**
 * An extended ARecord that performs weight based routing.
 */
export declare class WeightedARecord extends ARecord {
    /**
     * Creates a new WeightedARecord.
     */
    constructor(scope: Construct, id: string, props: WeightedARecordProps);
}
