import { WeightedARecord, WeightedARecordProps } from "./weighted-a-record";
import { Construct } from "constructs";
import { LatencyARecord, LatencyARecordProps } from "./latency-a-record";
/**
 * Properties for WeightedLatencyRecord.
 */
export interface WeightedLatencyRecordProps extends WeightedARecordProps, LatencyARecordProps {
    /**
     * Value to use as a prefix on the latency route53 record.
     *
     * @default lbr
     */
    readonly latencyRecordPrefix?: string;
}
/**
 * An WeightedARecord that uses as LatencyARecord internally to do both weight and latency based routing.
 */
export declare class WeightedLatencyARecord extends WeightedARecord {
    /**
     * The latency record underneath this weighted record.
     */
    readonly latencyRecord: LatencyARecord;
    /**
     * Creates a new WeightedLatencyARecord.
     */
    constructor(scope: Construct, id: string, props: WeightedLatencyRecordProps);
}
